/*=======================================
            Header & Spacing
========================================*/

.admin-bar header {
    top: 32px;

    @media (max-width: 1000px) {
        top: 0;
    }

}

body {
    margin-top: 116px;

    @media (max-width: 1300px) {
        margin-top: 111px;
    }

    @media (max-width: 1200px) {
        margin-top: 101px;
    }

    @media (max-width: 600px) {
        margin-top: 85px;
    }

}


html.no-scroll {
    overflow-y: hidden;
}



body.menu-open {

    header {
        background-color: var(--black);
    }

}


/*=======================================
        Hide Header On Scroll
========================================*/

header.nav-up,
.admin-bar header.nav-up {
    top: -200px;
}



/*=======================================
            Header Contents
========================================*/

header {
    padding: 30px 0 20px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    transition: all 0.5s ease-in-out;
    z-index: 99;
    background-color: var(--darkblue);

    @media (max-width: 1200px) {
        padding: 20px 0;
    }

    @media (max-width: 600px) {
        padding: 15px 0;
    }

    .contents {
        align-items: flex-end;
        position: relative;

        @media (max-width: 1200px) {
            align-items: center;
        }

    }

    /* Logo */

    .logo {
        position: relative;
        width: 270px;

        @media screen and (max-width: 1300px) {
            width: 250px;
        }

        @media screen and (max-width: 600px) {
            width: 225px;
        }

    }

    /* Menu */

    .right {
        /* position: relative;
        top: 2px; */
        align-items: center;
        padding-bottom: 10px;

        @media screen and (max-width: 1200px) {
            padding-bottom: 0;
        }

        /* Menu */

        .menu {
            display: flex;
            flex-direction: row;
            justify-content: flex-end;
            align-items: center;

            @media screen and (max-width: 1200px) {
                display: none;
            }

            .menu-item {
                margin-left: 30px;
                font-size: 18px;
                line-height: 1;
                font-weight: 500;
                cursor: pointer;
                position: relative;

                @media screen and (max-width: 1300px) {
                    font-size: 16px;
                }

                @media screen and (max-width: 1200px) {
                    margin-left: 35px;
                }

                a {
                    text-decoration: none;
                    color: #fff;
                    border-bottom: 2px solid var(--darkblue);
                    padding-bottom: 5px;
                }

                &:hover>a,
                &.active>a {
                    border-color: var(--red);
                }

                .sub-menu {
                    display: none;
                    position: absolute;
                    top: calc(100% + 30px);
                    left: -30px;
                    background-color: #fff;
                    width: fit-content;
                    min-width: 275px;
                    padding: 40px 30px;
                    border-radius: 30px;
                    z-index: 999;
                    box-shadow: 4px 4px 15px 0 rgba(0, 0, 0, 0.25);

                    &:after {
                        content: "";
                        position: absolute;
                        left: 0;
                        top: -30px;
                        width: 100%;
                        height: 30px;
                    }

                    &:before {
                        content: "";
                        width: 20px;
                        height: 20px;
                        background-color: #fff;
                        transform: rotate(45deg);
                        position: absolute;
                        top: -10px;
                        left: 50px;
                    }

                    .menu-item {
                        padding: 0;
                        margin: 0;
                        margin-bottom: 20px;

                        a {
                            color: var(--black);
                            border-bottom-color: #fff;

                            &:hover {
                                border-bottom-color: var(--red);
                            }

                        }

                        &:last-of-type {
                            margin-bottom: 0;
                        }

                    }

                }

                &.menu-item-has-children:hover {

                    .sub-menu {
                        display: block;
                    }

                }

            }

        }

        /* Search Icon */

        /* .search-icon {
            width: 35px;
            height: 35px;
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            cursor: pointer;
            background-color: #f1f1f1;
            border-radius: 100%;
            margin-left: 30px;
            transition: all 0.3s ease-in-out;

            svg {
                width: 16px;
                height: 16px;
                position: relative;
                top: 1px;
                right: -1px;
            }

        } */

        /* Burger */

        .menu-toggle {
            margin-left: 15px;

            @media screen and (min-width: 1200px) {
                display: none;
            }

            &.open {

                .icon.normal {
                    display: none;
                }

                .icon.close {
                    display: block;
                }


            }

            .icon {
                width: 40px;
                height: auto;
                cursor: pointer;

                &.close {
                    display: none;
                }

                svg {
                    width: 100%;
                    height: auto;
                }

            }

        }

    }

    /* Mobile Menu */

    .mobile-menu {
        display: none;
        position: absolute;
        width: 100vw;
        margin: 0 -30px;
        height: calc(100vh - 81px);
        top: 81px;
        background-color: var(--black);
        padding: 30px;
        overflow-y: auto;

        @media screen and (max-width: 600px) {
            top: 70px;
            height: calc(100vh - 70px);
        }

        @media screen and (max-width: 450px) {
            margin: 0 -15px;
            padding: 30px 15px;
        }

        .menu-item {
            font-size: 30px;
            line-height: 1;
            font-weight: 600;
            cursor: pointer;
            position: relative;
            margin-bottom: 40px;

            @media screen and (max-width: 600px) {
                font-size: 25px;
                margin-bottom: 30px;
            }

            a {
                color: #fff;
                text-decoration: none;
                border-bottom: 2px solid transparent;
                padding-bottom: 5px;
            }

            /* &.menu-item-has-children {
                position: relative;

                &:after {
                    content: "+";
                    position: absolute;
                    right: 12px;
                    top: 11px;
                    font-size: 35px;
                    font-weight: 400;
                    color: #000;
                }

                &.open {

                    &:after {
                        content: "-";
                    }

                }

            } */

            /* .sub-menu {
                padding-top: 15px;
                display: none;

                .menu-item {
                    border-bottom: none;
                    padding: 0 0 12px 12px;
                }

            } */

            .sub-menu {
                margin: 30px 0 0 30px;

                @media screen and (max-width: 600px) {
                    margin: 20px 0 0 30px;
                }

                li {
                    font-size: 20px;
                    margin-bottom: 15px;

                    @media screen and (max-width: 600px) {
                        font-size: 18px;
                    }

                }

            }

        }

        .shape {
            position: absolute;
            top: 0;
            right: 0;
            width: 100%;
            opacity: 0.5;

            @media (max-width: 800px) {
                width: 150%;
                left: -25%;
            }

            @media (max-width: 600px) {
                width: 200%;
                left: -50%;
            }

            svg path {
                fill: #0F1E82;
            }

        }

    }

}